<?php

namespace HosgeldinKonuAcici;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;

class Setup extends AbstractSetup
{
    use StepRunnerInstallTrait;

    /**
     * Eklenti kurulum işlemleri sırasında çalışır.
     *
     * @param array $stepParams
     */
    public function install(array $stepParams = [])
    {
        // Burada gerekli tablo oluşturma, varsayılan ayarları ekleme gibi işlemler yapılabilir.
        // Örneğin, ek veritabanı tabloları oluşturmak isterseniz:
        // $this->executeUpgradeStep('createTables');

        // Kurulum işlemlerinin ardından parent metodunu çağırarak temel kurulum işlemlerinin tamamlanmasını sağlıyoruz.
        parent::install($stepParams);
    }

    /**
     * Eklenti güncelleme işlemleri sırasında çalışır.
     *
     * @param array $stepParams
     */
    public function upgrade(array $stepParams = [])
    {
        // Eklenti versiyonları arasında geçiş yapılırken gerekli veri güncellemelerini burada yapabilirsiniz.
        parent::upgrade($stepParams);
    }

    /**
     * Eklenti kaldırma işlemleri sırasında çalışır.
     *
     * @param array $stepParams
     */
    public function uninstall(array $stepParams = [])
    {
        // Eklenti kaldırılırken, oluşturulan veritabanı tablolarını veya eklenen verileri temizlemek için kod ekleyebilirsiniz.
        parent::uninstall($stepParams);
    }
}
